package org.ajax4jsf.model;

import org.richfaces.model.Ordering;

public class Column {
	
	private int i; 
	
	private String header;
	
	private String footer;
	
	private Ordering ordering;
	
	
	/**
	 * @param header
	 * @param footer
	 */
	public Column(String header, String footer, int i) {
		super();
		this.i = i;
		this.header = header;
		this.footer = footer;
	}

	/**
	 * @return the header
	 */
	public String getHeader() {
		return header + i;
	}

	/**
	 * @param header the header to set
	 */
	public void setHeader(String header) {
		this.header = header;
	}

	/**
	 * @return the footer
	 */
	public String getFooter() {
		return footer + i;
	}

	/**
	 * @param footer the footer to set
	 */
	public void setFooter(String footer) {
		this.footer = footer;
	}

	/**
	 * @return the ordering
	 */
	public Ordering getOrdering() {
		return ordering;
	}

	/**
	 * @param ordering the ordering to set
	 */
	public void setOrdering(Ordering ordering) {
		this.ordering = ordering;
	}

	/**
	 * @return the i
	 */
	public int getI() {
		return i;
	}

	/**
	 * @param i the i to set
	 */
	public void setI(int i) {
		this.i = i;
	}
	
	

}
